Subject: Re: [CORRECTED PATCH] Introduce file with the common default build-time items.

From: Eygene Ryabinkin <[email-masked]>
Date: Fri, 15 Jun 2007 09:40:02 +0400

Shawn, good da.y

Thu, Jun 14, 2007 at 11:22:04PM -0400, Shawn O. Pearce wrote:
> > OK, it means that git-gui will be totally separated from the
> > git.git?  And one will download it as the separate tarball?
> 
> That's one option.  But Junio and I are also considering keeping
> it inside the git tarball as well, as many users have gotten used
> to it being in the core Git distribution.  I think it all depends
> on if myself (or someone else) adds subproject recursion support
> into git-archive.  ;-)

OK, I just wondered what to expect from the 1.6, since I am
trying to keep FreeBSD port in sync with the latest Git release.
> ...
> >  Makefile             |   17 +++++++++++------
> >  common-make-vars.def |   11 +++++++++++
> >  configure.ac         |    4 +++-
> >  3 files changed, 25 insertions(+), 7 deletions(-)
> >  create mode 100644 common-make-vars.def
> ...
> 
> I dunno.  25 insertions and 7 deletions to reduce two uses of 'wish'
> into one use of 'wish'?  That hardly seems worth the additional
> 18 lines of code.

11 of new lines are common-make-vars.def: it is heavily commented.

> Feels like code churn to me.  And I rarely feel
> code churn.  I'm usually a lot more caviler about changing things
> than Junio, Dscho, Nico, Linus, ...

OK, let us wait for the other's reaction.  May be you're right and
it doesn't worth it.  But I always felt that if I can change something
by changing it only in one place, then it worth it.  Otherwise I
should remember all places where it is used and this leads to errors.
But maybe the 'wish' and 'tclsh' are not worth it.

Thank you!
-- 
Eygene